Bug 441537 - kde-l10n currently has docs disabled
kde-l10n currently has docs disabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kde-l10n (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target KDE4Live
  Show dependency treegraph
 
Reported: 2008-04-08 12:25 EDT by Kevin Kofler
Modified: 2008-04-22 14:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 14:04:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2008-04-08 12:25:45 EDT
Description of problem:
We currently have -D BUILD_docs:BOOL=OFF in kde-l10n because the docs didn't 
build. We have to check if this is fixed, and if not, fix it. Once this is 
done, we have to remove the conflicting docs from the KDE 3 kde-i18n.

Version-Release number of selected component (if applicable):
kde-l10n-4.0.1-3.fc9
Comment 1 Kevin Kofler 2008-04-17 01:23:53 EDT
Docs build just fine now (kde-l10n-4.0.3-2.fc9), I have to update the file list 
and fix kde-i18n not to conflict though.
Comment 2 Ngo Than 2008-04-17 06:00:00 EDT
it seems many help documents are still missing in kde-l10 upstream, for 
example LANG=de_DE. the current khelpcenter seems not so usefull
Comment 3 Kevin Kofler 2008-04-17 15:48:55 EDT
What's missing? The German translations for documentation are 96% complete!
http://l10n.kde.org/stats/doc/stable-kde4/team/

If you mean kdepim stuff is missing, that's normal, we have kdepim for 3.5, so 
kdepim translations will still come from the KDE 3 kde-i18n package. (I still 
have to fix that package to remove the docs which are now provided by 
kde-l10n.)
Comment 4 Kevin Kofler 2008-04-18 00:35:15 EDT
This should be fixed in:
kde-l10n-4.0.3-4.fc9
kde-i18n-3.5.9-5.fc9
Documentation for KDE 4 apps now comes from kde-l10n. There should be no file 
conflicts (assuming you upgrade both kde-l10n and kde-i18n), it would be nice 
if somebody could verify this for all languages.

I'd also like to know what documentation, if any is missing. (Than, you said in 
comment #2 that there's lots of stuff missing, what exactly? If it's really a 
lot of stuff missing, pointing to at least one shouldn't be hard. ;-) )

The more QA we can get on this before pushing this to F9, the better.
Comment 5 Kevin Kofler 2008-04-18 13:07:49 EDT
Than: Is the issue you alluded to in comment #2 actually bug 443016 (which 
would mean the package is actually good to go, assuming no conflicts)?
Comment 6 Ngo Than 2008-04-18 13:29:08 EDT
Kevin, please ignore my comments #2, it's a bug 443016 that i already fixed.

We have to make sure that there're no file conflicts with new 
kde-l10n/kde-i18n. It's fine with me to have it in F9-final, assuming no 
conflicts ;-)
Comment 7 Kevin Kofler 2008-04-18 18:27:06 EDT
Sebastian says there appear to be no conflicts. Requesting f9-final tagging.
Comment 8 Bill Nottingham 2008-04-22 14:04:56 EDT
Those packages are in F9-final now. Closing.

Note You need to log in before you can comment on or make changes to this bug.